image: arvindr226/alpine-ssh
stages:
  - ssh
 
ssh:
  stage: ssh
  script: 
    #- echo '-----BEGIN RSA PRIVATE KEY-----'>AWSbegin.pem
    #- echo '-----END RSA PRIVATE KEY-----'>>AWSend.pem
    #- echo $PEM > AWSkey.pem
    #- cat AWSbegin.pem AWSkey.pem AWSend.pem > AWSKeyPair1.pem
    #- cat AWSbegin.pem AWSkey.pem > AWSKeyPairW.pem
    - echo $W1251>>AWSKeyPairW.pem
    #- text='-----BEGIN RSA PRIVATE KEY-----'$PEM'-----END RSA PRIVATE KEY-----'; 
    #- echo $text
    #- echo $text > AWSKeyPair1.pem
    - touch AWSKeyPair1.pem
    - iconv -f WINDOWS-1251 -t ASCII AWSKeyPairW.pem -o AWSKeyPair1.pem
    - chmod  400 AWSKeyPair1.pem
    - cat AWSKeyPair1.pem
    - ls -la AWSKeyPair1.pem
    #- echo $FINGERPRINTS> known_hosts
    #- cat AWSKeyPair.pem
    - chmod  400 AWSKeyPair.pem
    - cat AWSKeyPair.pem
    - ls -la AWSKeyPair.pem
    - diff AWSKeyPair1.pem AWSKeyPair.pem
    #- mkdir ./.ssh
    #- echo $ID_RSA_PUB> ./.ssh/id_rsa.pub
    - ssh -o RequestTTY=force -o StrictHostKeyChecking=No -o UserKnownHostsFile=known_hosts -v -i AWSKeyPair1.pem ubuntu@ec2-3-120-141-199.eu-central-1.compute.amazonaws.com
    #- ssh -i AWSKeyPair.pem ubuntu@ec2-3-120-141-199.eu-central-1.compute.amazonaws.com uptime
    #- echo 'CI_PROJECT_DIR='>>new.txt